
Foreman - Support #3774

Operation FAILED: undefined method `subscribe_to_all_hostgroups'

11/27/2013 06:08 PM - Felix Barbeira

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

Foreman version: 1.3.1-1

When I click on "User->My account" the foreman gives this error (check as well the image attached):

Started GET "/users/1-admin/edit" for 192.168.0.x at Wed Nov 27 18:41:29 +0100 2013

Processing by UsersController#edit as HTML

Parameters: {"id"=>"1-admin"}

Rendered common/_edit_habtm.html.erb (2.2ms)

Rendered common/_edit_habtm.html.erb (97.1ms)

Rendered users/_filters.html.erb (127.2ms)

Rendered users/_form.html.erb (139.6ms)

Rendered users/edit.html.erb within layouts/application (139.9ms)

Operation FAILED: undefined method `subscribe_to_all_hostgroups' for #<User:0x7f9fd0c8dc10>

Rendered common/500.html.erb within layouts/application (3.6ms)

Completed 500 Internal Server Error in 255.8ms (Views: 5.2ms | ActiveRecord: 8.2ms)

History

#1 - 11/27/2013 06:10 PM - Dominic Cleal

- Status changed from New to Feedback

- translation missing: en.field_release deleted (1)

This looks to me like the database migrations haven't been run on a 1.2 to 1.3 upgrade.  Try running "foreman-rake db:migrate" again to ensure

they've all been applied.

#2 - 11/27/2013 07:10 PM - Felix Barbeira

Ok, it worked! Thanks Dominic! :)

#3 - 11/28/2013 09:28 AM - Dominic Cleal

- Tracker changed from Bug to Support

- Status changed from Feedback to Resolved

Files

Captura de pantalla 2013-11-27 a la(s) 18.43.46.png 95.7 KB 11/27/2013 Felix Barbeira

Powered by TCPDF (www.tcpdf.org)

05/19/2024 1/1

http://www.tcpdf.org

